Remove ipxe_enabled ppc64le validation

This validation is no longer helpful, and it prevents deploying for
multi-architecture x86/ppc64le environments.

Change-Id: Ibb71e5dabaf09e45f0d2671aa0dfa60944728a2f
changes/87/811487/1
Steve Baker 1 year ago
parent b5083e0bc0
commit f9e5d79f91
  1. 7
      tripleoclient/v1/undercloud_preflight.py

@ -404,11 +404,6 @@ def _validate_architecure_options():
LOG.error(_('Undercloud configuration validation failed: %s'), message)
raise FailedValidation(message)
def _validate_ppc64le_exclusive_opts(error_callback):
if 'ipxe_enabled' in CONF and CONF['ipxe_enabled']:
error_callback(_('Currently iPXE boot isn\'t supported with '
'ppc64le systems but is enabled'))
def _validate_additional_architectures(error_callback):
for arch in CONF['additional_architectures']:
if arch not in constants.ADDITIONAL_ARCHITECTURES:
@ -421,8 +416,6 @@ def _validate_architecure_options():
'%(all_architectures)s') % params)
_validate_additional_architectures(error_handler)
if 'ppc64le' in CONF['additional_architectures']:
_validate_ppc64le_exclusive_opts(error_handler)
def _checking_status(item):

Loading…
Cancel
Save